Main Page Modules Data Structures File List Data Fields Globals Related Pages

# blockCipherContext Struct Reference
[Block ciphers]

`#include <beecrypt.h>`

## Data Fields
const blockCipher * | algo
blockCipherParam * | param

## Detailed Description

A blockCipher instance, global functions and specific parameters.

Definition at line 833 of file beecrypt.h.

## Field Documentation

const blockCipher* blockCipherContext::algo

| global functions and parameters Definition at line 836 of file beecrypt.h. Referenced by blockCipherContextInit, blockCipherContextSetIV, blockCipherContextSetup, dhaes_pContextDecrypt, and dhaes_pContextEncrypt.

blockCipherParam* blockCipherContext::param

| specific parameters Definition at line 838 of file beecrypt.h. Referenced by blockCipherContextFree, blockCipherContextInit, blockCipherContextSetIV, blockCipherContextSetup, dhaes_pContextDecrypt, and dhaes_pContextEncrypt.

The documentation for this struct was generated from the following file:

- beecrypt/beecrypt.h